Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Interface SelectionListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  SelectionAdapter

public interface SelectionListener
extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated when selection occurs in a control.

After creating an instance of a class that implements this interface it can be added to a control using the `addSelectionListener` method and removed using the `removeSelectionListener` method. When selection occurs in a control the appropriate method will be invoked.

See Also:
  `SelectionAdapter`, `SelectionEvent`

Method Summary
`void` | `widgetDefaultSelected(SelectionEvent e)` Sent when default selection occurs in the control.
`void` | `widgetSelected(SelectionEvent e)` Sent when selection occurs in the control.

Method Detail

### widgetSelected

    public void widgetSelected(SelectionEvent e)

  Sent when selection occurs in the control.

  For example, on some platforms selection occurs in a List when the user selects an item or items.

  Parameters:
    `e` - an event containing information about the selection

### widgetDefaultSelected

    public void widgetDefaultSelected(SelectionEvent e)

  Sent when default selection occurs in the control.

  For example, on some platforms default selection occurs in a List when the user double-clicks an item or types return in a Text.

  Parameters:
    `e` - an event containing information about the default selection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.